Create Queue
curl --request POST \
--url https://api.voxo.co/v2/admin/queues/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"number": "<string>",
"tenantId": 123,
"timeout": 123,
"nobodyHome": true,
"noFreeMember": true,
"notifyAbandoned": true,
"maxLength": 49
}
'import requests
url = "https://api.voxo.co/v2/admin/queues/"
payload = {
"name": "<string>",
"number": "<string>",
"tenantId": 123,
"timeout": 123,
"nobodyHome": True,
"noFreeMember": True,
"notifyAbandoned": True,
"maxLength": 49
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
number: '<string>',
tenantId: 123,
timeout: 123,
nobodyHome: true,
noFreeMember: true,
notifyAbandoned: true,
maxLength: 49
})
};
fetch('https://api.voxo.co/v2/admin/queues/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"tenantId": 123,
"number": "<string>",
"branch": {
"id": 123,
"name": "<string>"
}
}Queues
Create Queue
Create a queue and its routing destinations
POST
/
v2
/
admin
/
queues
/
Create Queue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 9Pattern:
^[0-9]*$Required range:
x <= 50Must be a multiple of 5Available options:
RINGALL, RRMEMORY, RANDOM, LINEAR, FEWESTCALLS, LEASTRECENT Available options:
0 Available options:
0 Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?